# Star Class Reference

`#include <star.h>`

Inheritance diagram for Star:

List of all members.

## Public Member Functions

| Star ()
void | sync ()
| Updates the polygon data to match the parameters.
virtual bool | set_param (const String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual ValueBase | get_param (const String &param) const
| Get the value of the specified parameter.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.

## Constructor & Destructor Documentation

Star::Star | ( |  | ) |

References sync().

## Member Function Documentation

void Star::sync | ( |  | ) |

Updates the polygon data to match the parameters.

Reimplemented from synfig::Layer_Polygon.

References synfig::Layer_Polygon::add_polygon(), and synfig::Layer_Polygon::clear().

Referenced by set_param(), and Star().

bool Star::set_param | ( | const String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer_Polygon.

References synfig::ValueBase::put(), synfig::ValueBase::same_type_as(), and sync().

ValueBase Star::get_param | ( | const String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer_Polygon.

References EXPORT, EXPORT_NAME, and EXPORT_VERSION.

Layer::Vocab Star::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer_Polygon.

References _, and synfig::Layer::set_description().

The documentation for this class was generated from the following files:

- star.h
- star.cpp